> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Hook

> Manually trigger a hook.

For schedule-type hooks a job is enqueued (existing behaviour).
For event and manual hooks the actions are executed inline and an execution
record is written. The hook does not need to be enabled.



## OpenAPI

````yaml post /api/v1/hooks/{hook_id}/trigger
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/hooks/{hook_id}/trigger:
    post:
      tags:
        - hooks
        - Hooks
      summary: Trigger Hook
      description: >-
        Manually trigger a hook.


        For schedule-type hooks a job is enqueued (existing behaviour).

        For event and manual hooks the actions are executed inline and an
        execution

        record is written. The hook does not need to be enabled.
      operationId: trigger_hook_api_v1_hooks__hook_id__trigger_post
      parameters:
        - name: hook_id
          in: path
          required: true
          schema:
            type: string
            title: Hook Id
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Trigger Hook Api V1 Hooks  Hook Id  Trigger Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````